[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.Create

Constructor for the class instance.

## Declaration

Source position: graphics.pp line 1651

`public constructor TCustomIcon.Create; override;`

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create sets the default values for properties, including:

Current
  Set to -1 to indicate that an icon image has not been selected.
Masked
  Set to True. By definition, an icon is masked. Does not account for icon images with an alpha channel.

Create initializes the internal member used to track the size for a requested icon.

## See also

TCustomIcon.Current |  | Ordinal position for the current image displayed for the icon.
TRasterImage.Masked |  | Masked - returns True if a Mask is being applied.
TGraphic.Create |  | Constructor for the class instance.